Package ghidra.framework.plugintool

# Interface PluginPackagingProvider

All Known Implementing Classes:
  `DeafultPluginPackagingProvider`

public interface PluginPackagingProvider
Provides `PluginPackage`s and plugin descriptions and to clients

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Icon`
  `EXPERIMENTAL_ICON`
  `static final PluginPackage`
  `UNSTABLE_PACKAGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PluginDescription`
  `getPluginDescription(String pluginClassName)`
  Returns the plugin description for the given plugin class name
  `List<PluginDescription>`
  `getPluginDescriptions()`
  Returns all loaded plugin descriptions
  `List<PluginDescription>`
  `getPluginDescriptions(PluginPackage pluginPackage)`
  Get all plugin descriptions for the given plugin package
  `List<PluginPackage>`
  `getPluginPackages()`
  Returns all known plugin packages
  `List<PluginDescription>`
  `getUnstablePluginDescriptions()`
  Returns all `PluginStatus.UNSTABLE` plugin package descriptions
  `PluginPackage`
  `getUnstablePluginPackage()`
  Returns the plugin package used to house all unstable plugin packages

- ## Field Details

  - ### EXPERIMENTAL_ICON

    static final Icon EXPERIMENTAL_ICON

  - ### UNSTABLE_PACKAGE

    static final PluginPackage UNSTABLE_PACKAGE

- ## Method Details

  - ### getPluginPackages

    List<PluginPackage> getPluginPackages()
    Returns all known plugin packages
    Returns:
      the plugin packages

  - ### getPluginDescriptions

    List<PluginDescription> getPluginDescriptions()
    Returns all loaded plugin descriptions
    Returns:
      the descriptions

  - ### getPluginDescription

    PluginDescription getPluginDescription(String pluginClassName)
    Returns the plugin description for the given plugin class name
    Parameters:
      `pluginClassName` - the plugin class name
    Returns:
      the description

  - ### getPluginDescriptions

    List<PluginDescription> getPluginDescriptions(PluginPackage pluginPackage)
    Get all plugin descriptions for the given plugin package
    Parameters:
      `pluginPackage` - the package
    Returns:
      the descriptions

  - ### getUnstablePluginPackage

    PluginPackage getUnstablePluginPackage()
    Returns the plugin package used to house all unstable plugin packages
    Returns:
      the package

  - ### getUnstablePluginDescriptions

    List<PluginDescription> getUnstablePluginDescriptions()
    Returns all `PluginStatus.UNSTABLE` plugin package descriptions
    Returns:
      the descriptions